import { SimpleLocalIntegration } from '../../core/index.js';
import { WiimConfigFlow } from './wiim.classes.configflow.js';
import { createWiimDiscoveryDescriptor } from './wiim.discovery.js';
import type { IWiimConfig } from './wiim.types.js';
import { wiimDomain, wiimProfile } from './wiim.types.js';

export class WiimIntegration extends SimpleLocalIntegration<IWiimConfig> {
  public readonly domain = wiimDomain;
  public readonly discoveryDescriptor = createWiimDiscoveryDescriptor();
  public readonly configFlow = new WiimConfigFlow();

  constructor() {
    super(wiimProfile);
  }
}

export class HomeAssistantWiimIntegration extends WiimIntegration {}
